<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 07/02/2011 *
 * ===================                          Last change: 07/02/2011 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : order_filter.php                                 *
 * -------------------------------------------------------------------- *
 * Short description : Filters for ext-order                            *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Filter fuer ext-order                            *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Filter for returning given user's points
function FILTER_USER_POINTS ($filterData) {
	// Get the points and add them to the existing
	//* DEBUG: */ logDebugMessage(__FUNCTION__, __LINE__, 'Called!');
	$filterData['points'] += countSumTotalData($filterData['userid'], 'user_points', 'points');

	// Return the data for next filter
	//* DEBUG: */ logDebugMessage(__FUNCTION__, __LINE__, 'Done!');
	return $filterData;
}

// [EOF]
?>
