<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 01/13/2006 *
 * ===================                          Last change: 01/13/2006 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_admin.php                            *
 * -------------------------------------------------------------------- *
 * Short description : Configure administrator's menu                   *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Administratormenue einstellen                    *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

if (isFormSent()) {
	// Save configuration
	adminSaveSettingsFromPostData();
} else {
	// Prepare data for the template
	$content['admin_menu_new'] = '';
	$content['admin_menu_old'] = '';
	$content['admin_menu_' . strtolower(getAdminMenu())] = ' checked="checked"';

	// Display form
	loadTemplate('admin_config_admin', false, $content);
}

// [EOF]
?>
